Name:			qmc2
Version:		0.2.b6
%define distsuffix	plf
Release:		%mkrel 1

Summary:	M.A.M.E. Catalog / Launcher II
License:	GPLv2+
Group:		Emulators
URL:		http://sourceforge.net/projects/qmc2/
#alt url	http://www.mameworld.net/mamecat/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source10:	qmc2-48.png

BuildRequires:	qt4-devel > 4.3
%if %mdkversion >= 200900
BuildRequires:	phonon-devel
%endif
BuildRequires:	rsync
BuildRoot:	%{_tmppath}/%{name}-%{version}

#not requiring plf-non-free
#Requires:	sdlmame
Suggests:	sdlmame
Suggests:	sdlmess

Epoch:		1

%description
QMC2 is a Qt 4 based frontend for SDLMAME and SDLMESS.

This package is in PLF because of Mandriva policy regarding emulators.


%prep
%setup -q -n %{name}

%build
# to debug qmc2, add DEBUG=1 and install the -debug package too.
%make \
 QTDIR=%{_prefix}/lib/qt4 \
 PREFIX=%{_prefix} \
 JOYSTICK=1 \
%if %mdkversion >= 200900
 OPENGL=1 \
%else
 PHONON=0 \
%endif
 EMULATOR=SDLMESS
mv qmc2-sdlmess qmc2-sdlmess.bak
make clean QTDIR=%{_prefix}/lib/qt4

%make \
 QTDIR=%{_prefix}/lib/qt4 \
 PREFIX=%{_prefix} \
 JOYSTICK=1 \
%if %mdkversion >= 200900
 OPENGL=1 \
%else
 PHONON=0 \
%endif
 EMULATOR=SDLMAME

%install
rm -rf %{buildroot}
%makeinstall \
 PREFIX=%{_prefix} \
 DESTDIR=%{buildroot} \
 QTDIR=%{_prefix}/lib/qt4 \
 EMULATOR=SDLMAME

#install qmc2-sdlmess as well
install -m 755 qmc2-sdlmess.bak %{buildroot}/%{_bindir}/qmc2-sdlmess

#icons
install -d -m 755 %{buildroot}/%{_iconsdir}
install -m 644 %{_sourcedir}/qmc2-48.png %{buildroot}/%{_iconsdir}/%{name}.png

#xdg menus
install -d -m 755 %{buildroot}%{_datadir}/applications
cat<<EOF>%{buildroot}%{_datadir}/applications/mandriva-%{name}-sdlmame.desktop
[Desktop Entry]
Encoding=UTF-8
Name=QMC2 (SDL MAME)
Comment=%{summary}
Exec=%{_bindir}/%{name}-sdlmame
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF
cat<<EOF>%{buildroot}%{_datadir}/applications/mandriva-%{name}-sdlmess.desktop
[Desktop Entry]
Encoding=UTF-8
Name=QMC2 (SDL MESS)
Comment=%{summary}
Exec=%{_bindir}/%{name}-sdlmess
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%if %mdkversion < 200900
%post
%{update_menus}

%postun
%{clean_menus}
%endif

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{name}-sdlmame
%{_bindir}/%{name}-sdlmess
#{_bindir}/romalyzer.pl
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}-sdlmame.desktop
%{_datadir}/applications/mandriva-%{name}-sdlmess.desktop
%{_iconsdir}/%{name}.png
%config %{_sysconfdir}/%{name}/%{name}.ini

%clean
rm -rf %{buildroot}

%changelog
* Thu Jan  8 2009 Guillaume Bedot <littletux@zarb.org> 1:0.2.b6-1plf2009.1
- 0.2.b6
- add sdlmess, opengl support

* Tue Oct 21 2008 Guillaume Bedot <littletux@zarb.org> 1:0.2.b5-1plf2009.1
- 0.2.b5
- fix build requires, qt dir

* Sat Aug 16 2008 Guillaume Bedot <littletux@zarb.org> 1:0.2.b3-1plf2009.0
- 0.2.b3
- no debug
- drop old menu
- experimental joystick support

* Wed Feb  6 2008 Guillaume Bedot <littletux@zarb.org> 1:0.1-1plf2008.1
- 0.1

* Mon Jan 28 2008 Guillaume Bedot <littletux@zarb.org> 0.1.b11-1plf2008.1
- 0.1.b11

* Sun Jul 29 2007 Guillaume Bedot <littletux@zarb.org> 0.1.b10-1plf2008.0
- New release

* Tue May 15 2007 Guillaume Bedot <littletux@zarb.org> 0.1.b9-1plf2008.0
- First package for PLF
